/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.reference;

/**
 * This interface represents a reference expression used to reference
 * an element in a document.
 * 
 * @author Ali Mehregani
 */
public interface IReferenceExpression
{
	/**
	 * Returns the document reference
	 * 
	 * @return The document alias included as part of the reference
	 * expression
	 */
	public String getDocumentAlias();
	
}
