/********************************************************************** 
 * Copyright (c) 2006 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.cosmos.rm.validation.internal.smlvalidators;

import org.eclipse.osgi.util.NLS;

public class ValidationMessages extends NLS 
{

	private static final String BUNDLE_NAME = "org.eclipse.cosmos.rm.validation.internal.smlvalidators.messages";//$NON-NLS-1$
	
	private ValidationMessages() 
	{
		// Do not instantiate
	}
	
	public static String acyclicUnknown;
	public static String acyclicNoReferenceGraph;
	public static String acyclicNoAcyclicTypeList;
	public static String acyclicBadDerivation;
	public static String acyclicNoInheritanceMap;
	public static String acyclicCycleFound;
	public static String acyclicDetectedCycle;
	
	public static String invalidTargetInstance;
	
	public static String targetElementNotDefined;
	public static String targetElementNotRefType;
	
	static 
	{
		NLS.initializeMessages(BUNDLE_NAME, ValidationMessages.class);
	}
}

